This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 3645 - rc.sysinit tries to load st module even though st is not a module
rc.sysinit tries to load st module even though st is not a module
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-22 15:54 EDT by Jay Berkenbilt
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-22 17:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Berkenbilt 1999-06-22 15:54:28 EDT
In RedHat 6.0, it appears that the kernel packages no longer
include st as a module but instead have st compiled into the
kernel.  However, /etc/rc.d/rc.sysinit still runs modprobe
st if /proc/devices indicates the presence of st and
USEMODULES is true.  This is harmless, but does result in an
extra error message at boot time.  I don't know whether it
would be better to throw away the error message or to try to
determine whether st is a module or not.
Comment 1 Bill Nottingham 1999-06-22 17:01:59 EDT
in the latest initscripts in Raw Hide, it won't try to load the module
if it's compiled in into the kernel. We might also start
shipping it as a module again anyways...

Note You need to log in before you can comment on or make changes to this bug.